//-----------------------------------------
// LScript Generic template
//

@version 2.2
@warnings
@script generic

// global values go here
myversion=0.1;

generic
{
    // perform all processing here
    myselect=Scene().getSelect();
    if(!myselect)
        error("Please select some items");

    reqbegin("MG Record Pivot Rotation Ver:"+myversion);

    c0 = ctlcheckbox("Ignore items with targets",true);

    return if !reqpost();

    // get requester control values here
    myignore=getvalue(c0);

    reqend();

    if(myignore)
    {
        for(i=1;i<=myselect.size();i++)
        {
            myitem=myselect[i];
            if(!myitem.target)
            {
                pivrot=myitem.getRotation(0);
                if(pivrot!=<0,0,0>)
                {
        
                    SelectItem(myitem.id);
                    PivotRotation(pivrot);
                    Rotation(0,0,0);
                }
            }
        }
    }
    else
    {
        for(i=1;i<=myselect.size();i++)
        {
            myitem=myselect[i];
            pivrot=myitem.getRotation(0);
            if(pivrot!=<0,0,0>)
            {
        
                SelectItem(myitem.id);
                PivotRotation(pivrot);
                Rotation(0,0,0);
            }
        }
    }
    
    SelectItem(myselect[1].id);
    for(i=2;i<=myselect.size();i++)
        AddToSelection(myselect[i].id);
}

