//-----------------------------------------
// LScript Generic template
//

@version 2.2
@warnings
@script generic

// global values go here
myversion=0.1;

generic
{
    // perform all processing here
    myselect=Scene().getSelect();
    if(!myselect)
        error("Please select some items");

    for(i=1;i<=myselect.size();i++)
    {
        myitem=myselect[i];
// remove any pivot rotation------------------------------------------------------------------------
        pivrot=myitem.getPivotRotation(Scene().currenttime);
        if(pivrot!=<0,0,0>)
        {
            myrot=myitem.getRotation(Scene().currenttime);
            SelectItem(myitem.id);
            Rotation(pivrot+myrot);
            PivotRotation(0,0,0);
        }
    }
    
    SelectItem(myselect[1].id);
    for(i=2;i<=myselect.size();i++)
        AddToSelection(myselect[i].id);
}


